/*______________________________________________________________________

//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 1 lights, 1 textures and 6 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 10/20/1995    (20.10.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "enviro.inc"

camera {  //  Camera StdCam
  location  <33.110, 16.713, 1.606>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

// *******  L I G H T S *******
light_source {   // Light1
  <10.820, -8.500, 10.316>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  T E X T U R E S  *******
//

#include "table.INC"
______________________________________________________________________*/

// ********  O B J E C T S *******
#declare TableTop = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <2.000000, 1.000000, 0.050000>
}

#declare TableTop1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <2.500000, 1.000000, 0.050000>
  rotate <0.000000, 0.000000, -90.000000>
  translate <3.0, -1.423891, 0.000000>
}

#declare Leg = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <2.500000, 0.600000, 0.050000>
  rotate <-90.000000, 0.000000, -90.000000>
  translate <3.751841, -1.423891, -0.598229>
}

#declare Leg1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <2.750000, 0.600000, 0.050000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <0.938682, 0.711945, -0.598229>
}

#declare sleg = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <1.000000, 0.600000, 0.050000>
  rotate <-90.000000, 0.000000, -90.000000>
  translate <-1.800000, 0.000000, -0.598000>
}

#declare sleg2 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.900000, 0.600000, 0.050000>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <2.906963, -3.559727, -0.598229>
}

#declare Table =
union {
  object { TableTop }
  object { TableTop1 }
  object { Leg }
  object { Leg1 }
  object { sleg }
  object { sleg2 }
  texture{
    pigment {
      DimGray
    }
    finish{specular 0.5 roughness 0.06 crand 0.01}
  }
  rotate<90,0,0>
  rotate<0,0,180>
}

#declare DraftingTable =
object{
  box{<-1,0.2,-1>,<1,0,1>}
}
